package Scalar::Type;

use 5.008008;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Scalar::Type ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	type
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	type
);

our $VERSION = '0.01';

require XSLoader;
XSLoader::load('Scalar::Type', $VERSION);

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Scalar::Type - Get type information about scalar value

=head1 SYNOPSIS

  use Scalar::Type;
  
  type(10);   # 'integer'
  type('10'); # 'string'
  type(10.0); # 'float'

=head1 DESCRIPTION

=over 1

=item type EXPR

Returns type of EXPR. Return types that will be returned are:

  string
  integer
  float
  arrayref
  hashref
  coderef
  globref
  blessed

=back

=head1 AUTHOR

Akira ODA, E<lt>oda.org@gmail.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2007 by Akira ODA

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.8 or,
at your option, any later version of Perl 5 you may have available.


=cut
